# File rvsao/Fquot/runsum.x
# April 13, 1994
# By Paul Schecter
# Modified by Doug Mink, Harvard-Smithsonian Center for Astropysics

procedure runsum (ye,nbin,lup,nrun,chi) 

real	ye[ARB]
int	nbin
int	lup
int	nrun
real	chi

double	sum
double	dchi
int	i,ilo,imax

begin
	dchi = chi
	sum = 0.d0
	do i = 1, nrun {
	    sum = sum + (1.d0 / ye[i])
	    }
	ilo = nrun + 1 
	imax = (nbin / 2) - 1
	do i = ilo, imax  {
	    sum = sum + (1.d0 / ye[i]) - (1.d0 / ye[i-nrun])
	    if (sum < dchi) break
	    }
	lup = i 

	return 
end 

# Dec  2 1992	Translate from Fortran to SPP

# Apr 13 1994	Use dchi in sum test
