# File rvsao/Emvel/emv.h
# August 4, 1994

# Parameters for EMSAO

# Search this fractional amount beyond the wavelength limits
define	WEXTRA	0.02  

# Fit +- this amount around emission line center wavelength
define	WGFIT	15.0

#  Velocity plotting flags
define	PL_VTYPES	"|correlation|emission|combination|search|guess|"
define  VCORREL		1		# Velocity from cross-correlation
define	VEMISS		2		# Velocity from emission line fit
define	VCOMB		3		# Velocity from emission and correlation
define	VSEARCH		4		# Velocity guessed from spectrum
define	VGUESS		5		# Velocity guess from parameter file

#  Initial velocity flags
define	IEM_VTYPES	"|correlation|emission|combination|search|guess|"

#  Maximum number of reference emission and absorption lines
define	MAXREF		50
define	MAXABS		10

#  Maximum number of emission line combinations
define	MAXCOMB		5
define	MAXCLINES	5

#  Maximum number of emission lines for velocity from single line
define	MAXSEARCH	5

define	SZ_ELINE	9
